package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Requirement;
import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IMyApiRequirementService {
    List<MyRequirementListModel> selectOpenList(Long id);

    ResultState<Long> edit(APIDdmandOpenReleaseModel releaseModel);

    List<APIReceiveListModel> selectReceiveList(Long id);

    ResultState<Long> offLine(Requirement requirement);

    Requirement selectRequirementById(Long id);
}
